Bug 1128748 - (CVE-2014-3158) CVE-2014-3158 ppp: integer overflow in option parsing
CVE-2014-3158 ppp: integer overflow in option parsing
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140810,repor...
: Security
Depends On: 1128749
Blocks: 1128753
  Show dependency treegraph
 
Reported: 2014-08-11 09:12 EDT by Vasyl Kaigorodov
Modified: 2016-03-04 06:38 EST (History)
4 users (show)

See Also:
Fixed In Version: ppp 2.4.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-04 05:50:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2014-08-11 09:12:05 EDT
Upstream released ppp-2.4.7 which fixes a potential security vulnerability:
http://marc.info/?l=linux-ppp&m=140764978420764

There's not much technical details about this issue at this time.
Comment 1 Vasyl Kaigorodov 2014-08-11 09:12:25 EDT
Created ppp tracking bugs for this issue:

Affects: fedora-all [bug 1128749]
Comment 4 Fedora Update System 2014-08-22 21:57:49 EDT
ppp-2.4.5-34.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-08-29 23:52:59 EDT
ppp-2.4.5-33.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Vasyl Kaigorodov 2014-11-19 06:44:47 EST
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the versions of ppp as shipped with Red Hat Enterprise Linux 6 and 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/clasification/.

Note You need to log in before you can comment on or make changes to this bug.